Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 257490 - Support consolekit-0.3 dbus API
Summary: Support consolekit-0.3 dbus API
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 249383
  Show dependency tree
 
Reported: 2009-02-03 15:02 UTC by Gilles Dartiguelongue
Modified: 2009-02-19 20:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hal-0.5.11-ck03.patch (hal-0.5.11-ck03.patch,3.15 KB, patch)
2009-02-03 15:03 UTC, Gilles Dartiguelongue
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2009-02-03 15:02:55 UTC
Please find in following thread patch for hal to support updated dbus API in consolekit 0.3.

http://www.nabble.com/ConsoleKit-signatures-in-HAL-to18705036.html#a18948733
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-02-03 15:03:51 UTC
Created attachment 180814 [details, diff]
hal-0.5.11-ck03.patch

here is the patch taken from the ML.
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-02-03 15:04:20 UTC
this is in 0.5.12_rc1 already btw.
Comment 3 Tony Vroon gentoo-dev 2009-02-04 22:24:59 UTC
Sorry for failing to mention this in the ChangeLog, this went into patchset 4, 0.5.11-r7 (r8 is on the way).
Comment 4 Davide Pesavento gentoo-dev 2009-02-19 20:32:22 UTC
I guess this wasn't really necessary since hal ebuild unconditionally disables consolekit support... (btw, why is it disabled?)
Comment 5 Tony Vroon gentoo-dev 2009-02-19 20:54:27 UTC
Please file a new bug for a new question, rather then commenting in a closed one. Thank you.